document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const navLinks = document.querySelector('.nav-links');
  const menuToggle = document.createElement('div');
  menuToggle.className = 'mobile-menu';
  menuToggle.innerHTML = '☰';
  document.querySelector('nav').appendChild(menuToggle);

  menuToggle.addEventListener('click', () => {
    navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
  });

  // Image slider
  const sliderTrack = document.querySelector('.slider-track');
  const slides = document.querySelectorAll('.slider-track img');
  let currentIndex = 0;

  document.querySelector('.slider-next').addEventListener('click', () => {
    currentIndex = (currentIndex + 1) % slides.length;
    updateSlider();
  });

  document.querySelector('.slider-prev').addEventListener('click', () => {
    currentIndex = (currentIndex - 1 + slides.length) % slides.length;
    updateSlider();
  });

  function updateSlider() {
    sliderTrack.style.transform = `translateX(-${currentIndex * 100}%)`;
  }

  // Intersection Observer for animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = 'translateY(0)';
      }
    });
  }, { threshold: 0.1 });

  document.querySelectorAll('.feature-card, .material-card').forEach(card => {
    observer.observe(card);
  });
});